Bug 115510 - cannot change NIS user password as root
cannot change NIS user password as root
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: yp-tools (Show other bugs)
8.0
mipsrm7000 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 00:54 EST by Sandeep Agarwal
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandeep Agarwal 2004-02-13 00:54:31 EST
Description of problem:
am i newbiwe to NIS world but having a wierd problem. Am having about 
8 machines in my network with NIS master and rest are NIS clients. 
my /etc/pam.d/passwd looks like 

#%PAM-1.0
auth       required     /lib/security/pam_stack.so service=system-auth
account    required     /lib/security/pam_stack.so service=system-auth
password   required     /lib/security/pam_stack.so service=system-auth

/etc/pam.d/system-auth is 
#%PAM-1.0
# This file is auto-generated.
# User changes will be destroyed the next time authconfig is run.
auth        required      /lib/security/pam_env.so
auth        sufficient    /lib/security/pam_unix.so likeauth nullok
auth        required      /lib/security/pam_deny.so

account     required      /lib/security/pam_unix.so

password    required      /lib/security/pam_cracklib.so retry=3 type=
password    sufficient    /lib/security/pam_unix.so nullok se_authtok 
md5 shadow nis
password    required      /lib/security/pam_deny.so
session     required      /lib/security/pam_limits.so
session     required      /lib/security/pam_unix.so

NIS server is having passwd and shadow files on /etc/yp folder where 
root account is not there. have made required changes 
in /etc/sysconfig/yppasswdd file for the same. Authentication works 
fine on all the cleints. if NIS user tries to change password it 
works abs. fine, and the changes are reflected on all the machines. 
but if i try to change user password as root either from NIS cleint 
or NIS server i get an error 

# passwd sandeep
New password:
Retype new password:
RPC: Can't encode arguments
The password has not been changed on NISSERVER.
passwd: Failed preliminary check by password service

have googled out for this but didn't find any satisfactory answer. 
plese help me slove this. 

Version-Release number of selected component (if applicable):
ypbind-1.11-2
ypserv-2.5-1
yp-tools-2.7-3


How reproducible:
Always

Actual results:
RPC: Can't encode arguments
The password has not been changed on NISSERVER.
passwd: Failed preliminary check by password service


Expected results:
passwd: all authentication tokens updated successfully.

Additional info:
Comment 1 Bill Nottingham 2006-08-07 13:53:47 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 10:57:27 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.